Bug 1571318 - Grafana dashboards use integration id and cluster short name at the same time
Summary: Grafana dashboards use integration id and cluster short name at the same time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-commons
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Daniel Horák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-24 13:52 UTC by Filip Balák
Modified: 2018-09-04 07:05 UTC (History)
7 users (show)

Fixed In Version: tendrl-monitoring-integration-1.6.3-2.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:04:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Grafana dashboard - One cluster listed twice - by uuid and name (96.93 KB, image/png)
2018-04-25 10:33 UTC, Daniel Horák
no flags Details


Links
System ID Priority Status Summary Last Updated
Github Tendrl monitoring-integration issues 429 None closed Grafana shows short_name as well as integration_id of particular cluster 2020-04-14 09:42:15 UTC
Red Hat Product Errata RHSA-2018:2616 None None None 2018-09-04 07:05:55 UTC

Description Filip Balák 2018-04-24 13:52:10 UTC
Description of problem:
There are both cluster names (user-friendly and integration id) provided as selectable options in all grafana dashboards when Cluster Name is set during cluster import.

Version-Release number of selected component (if applicable):
glusterfs-3.12.2-8.el7rhgs.x86_64
tendrl-ansible-1.6.3-2.el7rhgs.noarch
tendrl-api-1.6.3-1.el7rhgs.noarch
tendrl-api-httpd-1.6.3-1.el7rhgs.noarch
tendrl-commons-1.6.3-2.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-1.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-1.el7rhgs.noarch
tendrl-node-agent-1.6.3-2.el7rhgs.noarch
tendrl-notifier-1.6.3-2.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-1.el7rhgs.noarch

How reproducible:
100%

Steps to Reproduce:
1. Install tendrl.
2. Import cluster, during import set Cluster Name to `cluster1`
3. Open all dashboards.

Actual results:
On dashboards where can be selected `Cluster Name` are provided integration id (some hash) and cluster short name (`cluster1`) specified during import. Both values point to the same data.

Expected results:
On dashboards where can be selected `Cluster Name` should be provided only new short name specified during cluster import.

Additional info:

Comment 1 Martin Bukatovic 2018-04-25 10:19:06 UTC
Could you provide a screenshot of the problem?

Comment 2 Daniel Horák 2018-04-25 10:33:03 UTC
Created attachment 1426593 [details]
Grafana dashboard - One cluster listed twice - by uuid and name

Comment 3 Daniel Horák 2018-04-25 10:37:55 UTC
(In reply to Daniel Horák from comment #2)
> Created attachment 1426593 [details]
> Grafana dashboard - One cluster listed twice - by uuid and name

This issue apply for all Grafana dashboards.

On the Tendrl Clusters page (and on the select box on top) the cluster is properly listed only once wit the human readable name.

Comment 7 Daniel Horák 2018-05-18 14:05:02 UTC
Tested and Verified on:
  Red Hat Enterprise Linux Server release 7.5 (Maipo)
  tendrl-ansible-1.6.3-4.el7rhgs.noarch
  tendrl-api-1.6.3-3.el7rhgs.noarch
  tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
  tendrl-commons-1.6.3-5.el7rhgs.noarch
  tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
  tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
  tendrl-node-agent-1.6.3-5.el7rhgs.noarch
  tendrl-notifier-1.6.3-3.el7rhgs.noarch
  tendrl-selinux-1.5.4-2.el7rhgs.noarch
  tendrl-ui-1.6.3-2.el7rhgs.noarch

Cluster is properly listed by name (if configured) or by integration ID (but not by both).

>> VERIFIED

Comment 9 errata-xmlrpc 2018-09-04 07:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.